bzr crashed with AttributeError in tree_unapply_patches(): 'DirStateRevisionTree' object has no attribute 'last_revision'

Bug #923688 reported by Daniel Holbach on 2012-01-30
46
This bug affects 7 people
Affects Status Importance Assigned to Milestone
bzr-builddeb
High
Jelmer Vernooij
bzr-builddeb (Ubuntu)
High
Jelmer Vernooij

Bug Description

bzr branch ubuntu:keystone
cd keystone
lp:~dpolehn-gmail/ubuntu/precise/keystone/fix-922954-907206

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: bzr 2.5.0~beta5-3ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-12.20-generic 3.2.2
Uname: Linux 3.2.0-12-generic x86_64
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
BzrDebugFlags: set()
BzrVersion: 2.5b5
CheckboxSubmission: 2f383a1679e8525d7196eb2518a1921f
CheckboxSystem: bb422ca46d02494cdbc459927a98bc2f
CommandLine:
 ['/usr/bin/bzr',
  'merge-package',
  'lp:~dpolehn-gmail/ubuntu/precise/keystone/fix-922954-907206']
CrashDb: bzr
Date: Mon Jan 30 12:42:57 2012
ExecutablePath: /usr/bin/bzr
FileSystemEncoding: UTF-8
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110817)
InterpreterPath: /usr/bin/python2.7
Locale: de_DE.UTF-8
PackageArchitecture: all
Platform: Linux-3.2.0-12-generic-x86_64-with-Ubuntu-12.04-precise
ProcCmdline: /usr/bin/python /usr/bin/bzr merge-package lp:~dpolehn-gmail/ubuntu/precise/keystone/fix-922954-907206
PythonVersion: 2.7.2
SourcePackage: bzr
Title: bzr crashed with AttributeError in tree_unapply_patches(): 'DirStateRevisionTree' object has no attribute 'last_revision'
UpgradeStatus: Upgraded to precise on 2012-01-12 (17 days ago)
UserEncoding: utf-8
UserGroups: adm admin audio cdrom dialout lpadmin plugdev sambashare

Daniel Holbach (dholbach) wrote :
tags: removed: need-duplicate-check
visibility: private → public
Jelmer Vernooij (jelmer) on 2012-01-30
affects: bzr (Ubuntu) → bzr-builddeb (Ubuntu)
Changed in bzr-builddeb (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in bzr-builddeb:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Jelmer Vernooij (jelmer)
Changed in bzr-builddeb (Ubuntu):
assignee: nobody → Jelmer Vernooij (jelmer)
Changed in bzr-builddeb:
status: Triaged → Fix Committed
Barry Warsaw (barry) wrote :

Yep, I just hit this trying to merge debianlp:sid/pymvpa2 into ubuntu:pymvpa2.

builddeb 2.7.0dev
bzr 2.5b5

Daniel Holbach (dholbach) wrote :

Same with lp:~l3on/ubuntu/precise/rawstudio/fix-ftbfs merged into lp:ubuntu/rawstudio. (bzr-builddeb 2.8.2, bzr 2.5.0-1ubuntu1)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bzr-builddeb - 2.8.3

---------------
bzr-builddeb (2.8.3) unstable; urgency=low

  * Fix patch unapplying from DirStateRevisionTrees. LP: #923688
  * Bump distro-info dependency back to a recommends, to ease
    backporting.
  * Cope with the deprecation of Tree.inventory in bzr/2.6. LP: #934247
  * Generate xz files with the 'xz' utility rather than the Python
    'lzma' module, as the latter uses options not supported by pristine-
    xz. Closes: #660721
  * Merge fix from Joel Pickett to fix typo in orig-dir option help
    description. LP: #945413
  * Bump standards version to 3.9.3 (no changes).

 -- Jelmer Vernooij <email address hidden> Sat, 03 Mar 2012 20:47:07 +0100

Changed in bzr-builddeb (Ubuntu):
status: Triaged → Fix Released
Martin Pitt (pitti) wrote :

For the record, the package failed to build.

On 03/09/2012 07:03 AM, Martin Pitt wrote:
> For the record, the package failed to build.
>
I'm looking into this.

Barry Warsaw (barry) wrote :

This bug still occurs in today's Precise. I tried merging https://code.launchpad.net/~jtaylor/ubuntu/precise/python-numpy/python3-numpy into ubuntu:python-numpy

Changed in bzr-builddeb (Ubuntu):
status: Fix Released → New
Jelmer Vernooij (jelmer) wrote :

This is actually fix released, but the fixed package hasn't been built for precise yet (because of a FTBFS).

Changed in bzr-builddeb (Ubuntu):
status: New → Fix Released
Jelmer Vernooij (jelmer) on 2012-04-03
Changed in bzr-builddeb:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers